Bug 47562

Summary: Apache/2.2.3 (Win32) mod_perl/2.0.3-rc1
Product: Apache httpd-2 Reporter: Lubo Vasilev <lubovasilev>
Component: AllAssignee: Apache HTTPD Bugs Mailing List <bugs>
Status: RESOLVED LATER    
Severity: normal Keywords: MassUpdate
Priority: P2    
Version: 2.2.3   
Target Milestone: ---   
Hardware: PC   
OS: Windows Server 2003   

Description Lubo Vasilev 2009-07-23 03:07:29 UTC
Hi,
We using Apache 2.2.3 and Perl 5.8.8.
Sometimes our Apache crashed with folowing error:
Can you help me to resolve a prodlem

[Thu Jul 23 11:08:25 2009] [notice] Parent: child process exited with status 3221225477 -- Restarting.
[Thu Jul 23 11:08:34 2009] [notice] Apache/2.2.3 (Win32) mod_perl/2.0.3-rc1 Perl/v5.8.8 configured -- resuming normal operations
[Thu Jul 23 11:08:34 2009] [notice] Server built: Jul 27 2006 16:49:49
[Thu Jul 23 11:08:34 2009] [notice] Parent: Created child process 5388
[Thu Jul 23 11:08:46 2009] [notice] Child 5388: Child process is running
[Thu Jul 23 11:08:46 2009] [notice] Child 5388: Acquired the start mutex.
[Thu Jul 23 11:08:46 2009] [notice] Child 5388: Starting 250 worker threads.
[Thu Jul 23 11:08:46 2009] [notice] Child 5388: Starting thread to listen on port 80.
[Thu Jul 23 11:08:57 2009] [notice] Parent: child process exited with status 3221225477 -- Restarting.
[Thu Jul 23 11:09:05 2009] [notice] Apache/2.2.3 (Win32) mod_perl/2.0.3-rc1 Perl/v5.8.8 configured -- resuming normal operations
[Thu Jul 23 11:09:05 2009] [notice] Server built: Jul 27 2006 16:49:49
[Thu Jul 23 11:09:05 2009] [notice] Parent: Created child process 2156
[Thu Jul 23 11:09:16 2009] [notice] Child 2156: Child process is running
[Thu Jul 23 11:09:16 2009] [notice] Child 2156: Acquired the start mutex.
[Thu Jul 23 11:09:16 2009] [notice] Child 2156: Starting 250 worker threads.
[Thu Jul 23 11:09:16 2009] [notice] Child 2156: Starting thread to listen on port 80.
[Thu Jul 23 11:09:19 2009] [notice] Parent: child process exited with status 3221225477 -- Restarting.
[Thu Jul 23 11:09:24 2009] [notice] Apache/2.2.3 (Win32) mod_perl/2.0.3-rc1 Perl/v5.8.8 configured -- resuming normal operations
Comment 1 Ruediger Pluem 2009-07-23 11:57:44 UTC
2.2.3 is a very old version please update to the latest version and check if the problem still occurs. If yes please come back with a stack trace.
Comment 2 William A. Rowe Jr. 2018-11-07 21:08:44 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.